<template>
  <v-dialog v-model="dialog" max-width="600px" @keydown.esc="close()" @click:outside="close()">
    <v-row justify="center" no-gutters>
      <v-card style="width: 100%">
        <v-toolbar style="position:relative" color="white" elevation="0">
          <v-spacer />
          <v-toolbar-title class="mt-5">
            <span class="primary--text">
              <v-icon large color="primary" class="mr-2 pb-1">mdi-book-open-page-variant</v-icon
              ><b>{{ formTitle }}</b>
            </span>
          </v-toolbar-title>
          <v-spacer />
          <v-tooltip color="red" bottom>
            <template v-slot:activator="{ on }">
              <v-icon v-on="on" style="position:absolute; right: 15px" color="red" @click="close"
                >mdi-close</v-icon
              >
            </template>
            <span><b>Fechar</b> janela</span>
          </v-tooltip>
        </v-toolbar>
        <v-card-text>
          <v-card-actions>
            <v-row justify="center">
              <v-col cols="12" align="center">
                <v-text-field
                  autofocus
                  style="max-width: 80%"
                  v-model="editCategoryName"
                  label="Categoria"
                ></v-text-field>
              </v-col>
            </v-row>
          </v-card-actions>
          <v-card-actions class="mt-n3 pb-6 pr-6">
            <v-spacer />
            <v-btn color="primary" text @click="close">Cancelar</v-btn>
            <v-btn color="primary" elevation="0" @click="save">{{
              editedIndex !== 1 ? 'Adicionar' : 'Editar'
            }}</v-btn>
          </v-card-actions>
        </v-card-text>
      </v-card>
    </v-row>
  </v-dialog>
</template>

<script>
export default {
  name: 'KnowledgeAreaDialog',

  props: {
    dialog: {
      type: Boolean,
      default: false,
    },
    editedIndex: {
      type: Number,
    },
    categoryName: {
      type: String,
    },
    page: {
      type: String,
    },
  },
  data: () => ({
    editCategoryName: '',
  }),

  computed: {
    formTitle() {
      let msg = ''
      if (this.editedIndex == -1) {
        this.categoryName = ''
        msg = 'Adicionar ' + this.page
      }
      if (this.editedIndex == 0) {
        msg = 'Adicionar Sub-Categoria'
        this.categoryName = ''
      }
      if (this.editedIndex == 1) {
        this.editCategoryName = this.categoryName
        msg = 'Editar Categoria'
      }
      return msg
    },
  },

  methods: {
    close() {
      this.$emit('closeDialog')
      this.editCategoryName = ''
    },
    save() {
      if (this.editedIndex === -1) {
        this.$emit('newCategory', this.editCategoryName)
        this.editCategoryName = ''
      }
      if (this.editedIndex === 0) {
        this.$emit('newChildren', this.editCategoryName)
        this.editCategoryName = ''
      }
      if (this.editedIndex === 1) {
        this.$emit('editCategory', this.editCategoryName)
        this.editCategoryName = ''
      }
    },
  },
}
</script>
<style>
.msg {
  padding-top: 15px;
  font-size: 0.8em;
}
.addUser {
  padding-top: 30px;
}
.hourSize {
  font-size: 0.5em;
}
.iconTitle {
  padding-top: 15px;
}
</style>
